Functions
Configuration functions
Peripheral Driver » LL Driver » EFUSE » Functions

## Functions
__STATIC_INLINE void | ll_efuse_set_tpro (efuse_regs_t *EFUSEx, uint32_t time)
| Set eFuse program time. More...
__STATIC_INLINE uint32_t | ll_efuse_get_tpro (efuse_regs_t *EFUSEx)
| Get eFuse program time. More...
__STATIC_INLINE void | ll_efuse_enable_main_backup (efuse_regs_t *EFUSEx)
| Enable read address through APB bus be a main address or backup address. More...
__STATIC_INLINE void | ll_efuse_disable_main_backup (efuse_regs_t *EFUSEx)
| Disable read address through APB bus be a main address or backup address. More...
__STATIC_INLINE uint32_t | ll_efuse_is_enabled_main_backup (efuse_regs_t *EFUSEx)
| Check if read address through APB bus be a main address or backup address is enabled. More...
__STATIC_INLINE void | ll_efuse_set_crc_check_len (efuse_regs_t *EFUSEx, uint32_t length)
| Set CRC check length. More...
__STATIC_INLINE uint32_t | ll_efuse_get_crc_check_len (efuse_regs_t *EFUSEx)
| Get CRC check length. More...
__STATIC_INLINE void | ll_efuse_set_interval (efuse_regs_t *EFUSEx, uint32_t interval)
| Set the interval number of clk cycles between two bit fuse. More...
__STATIC_INLINE uint32_t | ll_efuse_get_interval (efuse_regs_t *EFUSEx)
| Get the interval number of clk cycles between two bit fuse. More...
__STATIC_INLINE void | ll_efuse_enable_pgenb (efuse_regs_t *EFUSEx)
| Enable eFuse PGENB sigal. More...
__STATIC_INLINE void | ll_efuse_disable_pgenb (efuse_regs_t *EFUSEx)
| Disable eFuse PGENB sigal. More...
__STATIC_INLINE uint32_t | ll_efuse_is_enabled_pgenb (efuse_regs_t *EFUSEx)
| Check if eFuse PGENB sigal is enabled. More...
__STATIC_INLINE uint32_t | ll_efuse_get_test_mode (efuse_regs_t *EFUSEx)
| Get test mode. More...
__STATIC_INLINE void | ll_efuse_set_operation (efuse_regs_t *EFUSEx, uint32_t mode)
| Set eFuse operation mode. More...
__STATIC_INLINE uint32_t | ll_efuse_is_active_flag (efuse_regs_t *EFUSEx, uint32_t flag)
| Check active flag. More...
__STATIC_INLINE void | ll_efuse_set_key_mask (efuse_regs_t *EFUSEx, uint32_t mask)
| Set key mask. More...
__STATIC_INLINE uint32_t | ll_efuse_get_key_mask (efuse_regs_t *EFUSEx)
| Get key mask. More...
__STATIC_INLINE void | ll_efuse_set_crc_check_addr (efuse_regs_t *EFUSEx, uint32_t address)
| Set CRC check start address. More...
__STATIC_INLINE uint32_t | ll_efuse_get_crc_check_addr (efuse_regs_t *EFUSEx)
| Get CRC check start address. More...
__STATIC_INLINE uint32_t | ll_efuse_get_crc_check_result (efuse_regs_t *EFUSEx)
| Get CRC check results. More...
__STATIC_INLINE void | ll_efuse_set_trim_addr (efuse_regs_t *EFUSEx, uint32_t address)
| Set read trim start address. More...
__STATIC_INLINE uint32_t | ll_efuse_get_trim_addr (efuse_regs_t *EFUSEx)
| Get read trim start address. More...
__STATIC_INLINE void | ll_efuse_set_trim_length (efuse_regs_t *EFUSEx, uint32_t length)
| Set read trim length. More...
__STATIC_INLINE uint32_t | ll_efuse_get_trim_length (efuse_regs_t *EFUSEx)
| Get read trim length. More...
__STATIC_INLINE uint32_t | ll_efuse_get_trim_value (efuse_regs_t *EFUSEx, uint32_t indx)
| Get trim value. More...
__STATIC_INLINE void | ll_efuse_enable_power (efuse_regs_t *EFUSEx)
| eFuse v1.1 power on. More...
__STATIC_INLINE void | ll_efuse_disable_power (efuse_regs_t *EFUSEx)
| eFuse v1.1 power off. More...
__STATIC_INLINE void | ll_efuse_set_controller_power_timing (efuse_regs_t *EFUSEx, uint16_t vddq_0, uint16_t vddq_1, uint16_t vddq_2)
| Set Efulse power controller timing pararmeter. More...
__STATIC_INLINE void | ll_efuse_enable_controller_power_begin (efuse_regs_t *EFUSEx)
| Power sequencer begin. More...
__STATIC_INLINE void | ll_efuse_enable_controller_power_stop (efuse_regs_t *EFUSEx)
| Power sequencer begin. More...
__STATIC_INLINE void | ll_efuse_disable_controller_power (efuse_regs_t *EFUSEx)
| Power sequencer begin. More...
__STATIC_INLINE uint32_t | ll_efuse_is_controller_power_flag (efuse_regs_t *EFUSEx, uint32_t flag)
| Check power controller active flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_efuse_disable_controller_power()

__STATIC_INLINE void ll_efuse_disable_controller_power | ( | efuse_regs_t * | EFUSEx | ) |

Power sequencer begin.

Register |BitsName --------- -|-------- PWR_CTRL0 | CTRL_ENABLE PWR_CTRL0 | SEQR_BEGIN PWR_CTRL0 | SEQR_STOP

Return values

  None |

Definition at line 756 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_disable_main_backup()

__STATIC_INLINE void ll_efuse_disable_main_backup | ( | efuse_regs_t * | EFUSEx | ) |

Disable read address through APB bus be a main address or backup address.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | MAIN_OR_BACKUP | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  None |

Definition at line 222 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_disable_pgenb()

__STATIC_INLINE void ll_efuse_disable_pgenb | ( | efuse_regs_t * | EFUSEx | ) |

Disable eFuse PGENB sigal.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PGENB | PGENB_SIG | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  None |

Definition at line 357 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_disable_power()

__STATIC_INLINE void ll_efuse_disable_power | ( | efuse_regs_t * | EFUSEx | ) |

eFuse v1.1 power off.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | CRC_CHECK_LEN | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 693 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_enable_controller_power_begin()

__STATIC_INLINE void ll_efuse_enable_controller_power_begin | ( | efuse_regs_t * | EFUSEx | ) |

Power sequencer begin.

Register |BitsName -----------|-------- PWR_CTRL0 | CTRL_ENABLE PWR_CTRL0 | SEQR_BEGIN

Return values

  None |

Definition at line 725 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_enable_controller_power_stop()

__STATIC_INLINE void ll_efuse_enable_controller_power_stop | ( | efuse_regs_t * | EFUSEx | ) |

Power sequencer begin.

Register |BitsName -----------|-------- PWR_CTRL0 | CTRL_ENABLE PWR_CTRL0 | SEQR_STOP

Return values

  None |

Definition at line 740 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_enable_main_backup()

__STATIC_INLINE void ll_efuse_enable_main_backup | ( | efuse_regs_t * | EFUSEx | ) |

Enable read address through APB bus be a main address or backup address.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | MAIN_OR_BACKUP | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  None |

Definition at line 203 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_enable_pgenb()

__STATIC_INLINE void ll_efuse_enable_pgenb | ( | efuse_regs_t * | EFUSEx | ) |

Enable eFuse PGENB sigal.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PGENB | PGENB_SIG | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  None |

Definition at line 338 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_enable_power()

__STATIC_INLINE void ll_efuse_enable_power | ( | efuse_regs_t * | EFUSEx | ) |

eFuse v1.1 power on.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | CRC_CHECK_LEN | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 675 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_get_crc_check_addr()

__STATIC_INLINE uint32_t ll_efuse_get_crc_check_addr | ( | efuse_regs_t * | EFUSEx | ) |

Get CRC check start address.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CRC_ADDR | START_CHECK_ADDR | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  Returned | value can be one of the following values: 0 ~ 0xFFFFFFFF

Definition at line 539 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_get_crc_check_len()

__STATIC_INLINE uint32_t ll_efuse_get_crc_check_len | ( | efuse_regs_t * | EFUSEx | ) |

Get CRC check length.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | CRC_CHECK_LEN | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  Returned | value can be one of the following values: 1 ~ 60

Definition at line 280 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_get_crc_check_result()

__STATIC_INLINE uint32_t ll_efuse_get_crc_check_result | ( | efuse_regs_t * | EFUSEx | ) |

Get CRC check results.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CRC_OUTPUT | OUTPUT_VALUE | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  Returned | value can be one of the following values: 0 ~ 0xFFFFFFFF

Definition at line 558 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_get_interval()

__STATIC_INLINE uint32_t ll_efuse_get_interval | ( | efuse_regs_t * | EFUSEx | ) |

Get the interval number of clk cycles between two bit fuse.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | WRITE_INTERVAL | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  Returned | value can be one of the following values: 0 ~ 0xFF

Definition at line 319 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_get_key_mask()

__STATIC_INLINE uint32_t ll_efuse_get_key_mask | ( | efuse_regs_t * | EFUSEx | ) |

Get key mask.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY_MASK | KEY_MASK | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  None |

Definition at line 499 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_get_test_mode()

__STATIC_INLINE uint32_t ll_efuse_get_test_mode | ( | efuse_regs_t * | EFUSEx | ) |

Get test mode.

Note
  This bit should be read only.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TEST_MODE | TEST_MODE | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  Returned | value can be one of the following values: 0xFFFF

Definition at line 396 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_get_tpro()

__STATIC_INLINE uint32_t ll_efuse_get_tpro | ( | efuse_regs_t * | EFUSEx | ) |

Get eFuse program time.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | TIME | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  Returned | value can be one of the following values: 0 ~ 0xFFF

Definition at line 184 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_get_trim_addr()

__STATIC_INLINE uint32_t ll_efuse_get_trim_addr | ( | efuse_regs_t * | EFUSEx | ) |

Get read trim start address.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TRIM_ADDR | START_ADDR | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  Returned | value can be one of the following values: 0 ~ 0xFFFFFFFF

Definition at line 598 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_get_trim_length()

__STATIC_INLINE uint32_t ll_efuse_get_trim_length | ( | efuse_regs_t * | EFUSEx | ) |

Get read trim length.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TRIM_LEN | LENGTH | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  Returned | value can be one of the following values: 1 ~ 14

Definition at line 637 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_get_trim_value()

__STATIC_INLINE uint32_t ll_efuse_get_trim_value | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | indx
| ) |  |

Get trim value.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TRIM[n] | TRIM | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance
  indx | index of trim value registers: 0 ~ 13

Return values

  Returned | value can be one of the following values: 0 ~ 0xFFFFFFFF

Definition at line 657 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_is_active_flag()

__STATIC_INLINE uint32_t ll_efuse_is_active_flag | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | flag
| ) |  |

Check active flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | WRITE_KEYRAM_BUSY | +———————-+———————————–+ \endrst STAT | READ_TRIM_DONE STAT | TRIM_CRC_SUCCESS STAT | INIT_DONE STAT | INIT_SUCCESS STAT | CRC_CHECK_DONE STAT | WRITE_DONE STAT | TEST_MODE_DONE

Parameters

  EFUSEx | eFuse instance
  flag | This parameter can be one of the following values: LL_EFUSE_WRITE_KEYRAM_BUSY LL_EFUSE_READ_TRIM_DONE LL_EFUSE_CRC_CHECK_DONE LL_EFUSE_CRC_CHECK_SUCCESS LL_EFUSE_INIT_CHECK_DONE LL_EFUSE_INIT_CHECK_SUCCESS LL_EFUSE_WRITE_DONE LL_EFUSE_TEST_DONE

Return values

  State | of bit (1 or 0).

Definition at line 460 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_is_controller_power_flag()

__STATIC_INLINE uint32_t ll_efuse_is_controller_power_flag | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | flag
| ) |  |

Check power controller active flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_CTRL1 | EN_DONE | +———————-+———————————–+ \endrst PWR_CTRL1 | DIS_DONE

Parameters

  EFUSEx | eFuse instance
  flag | This parameter can be one of the following values: LL_EFUSE_PWR_CTL_EN_DONE LL_EFUSE_PWR_CTL_DIS_DONE

Return values

  State | of bit (1 or 0).

Definition at line 779 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_is_enabled_main_backup()

__STATIC_INLINE uint32_t ll_efuse_is_enabled_main_backup | ( | efuse_regs_t * | EFUSEx | ) |

Check if read address through APB bus be a main address or backup address is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | MAIN_OR_BACKUP | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  State | of bit (1 or 0).

Definition at line 241 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_is_enabled_pgenb()

__STATIC_INLINE uint32_t ll_efuse_is_enabled_pgenb | ( | efuse_regs_t * | EFUSEx | ) |

Check if eFuse PGENB sigal is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PGENB | PGENB_SIG | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance

Return values

  State | of bit (1 or 0).

Definition at line 376 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_set_controller_power_timing()

__STATIC_INLINE void ll_efuse_set_controller_power_timing | ( | efuse_regs_t * | EFUSEx,
|  | uint16_t | vddq_0,
|  | uint16_t | vddq_1,
|  | uint16_t | vddq_2
| ) |  |

Set Efulse power controller timing pararmeter.

Register |BitsName ----------|-------- PWR_DELTA| PWR_DELTA_0 PWR_DELTA| PWR_DELTA_1 PWR_DELTA| PWR_DELTA_2

Return values

  None |

Definition at line 709 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_set_crc_check_addr()

__STATIC_INLINE void ll_efuse_set_crc_check_addr | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | address
| ) |  |

Set CRC check start address.

Note
  The address must be a main info address.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CRC_ADDR | START_CHECK_ADDR | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance
  address | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 520 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_set_crc_check_len()

__STATIC_INLINE void ll_efuse_set_crc_check_len | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | length
| ) |  |

Set CRC check length.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | CRC_CHECK_LEN | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance
  length | This parameter can be one of the following values: 1 ~ 60

Return values

  None |

Definition at line 261 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_set_interval()

__STATIC_INLINE void ll_efuse_set_interval | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | interval
| ) |  |

Set the interval number of clk cycles between two bit fuse.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | WRITE_INTERVAL | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance
  interval | This parameter can be one of the following values: 0 ~ 0xFF

Return values

  None |

Definition at line 300 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_set_key_mask()

__STATIC_INLINE void ll_efuse_set_key_mask | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | mask
| ) |  |

Set key mask.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY_MASK | KEY_MASK | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance
  mask | Key mask

Return values

  None |

Definition at line 480 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_set_operation()

__STATIC_INLINE void ll_efuse_set_operation | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | mode
| ) |  |

Set eFuse operation mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | OPERATION | WRITE_KEYRAM | +———————-+———————————–+ \endrst OPERATION | INIT_CHECK OPERATION | CRC_CHECK OPERATION | READ_TRIM OPERATION | RD_TEST_MODE

Parameters

  EFUSEx | eFuse instance
  mode | This parameter can be one of the following values: LL_EFUSE_WRITE_KEYRAM LL_EFUSE_READ_TRIM LL_EFUSE_CRC_CHECK LL_EFUSE_INIT_CHECK LL_EFUSE_TEST_READ

Return values

  None |

Definition at line 425 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_set_tpro()

__STATIC_INLINE void ll_efuse_set_tpro | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | time
| ) |  |

Set eFuse program time.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TPGM | TIME | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance
  time | This parameter can be one of the following values: 0 ~ 0xFFF

Return values

  None |

Definition at line 165 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_set_trim_addr()

__STATIC_INLINE void ll_efuse_set_trim_addr | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | address
| ) |  |

Set read trim start address.

Note
  The address must be a main info address.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TRIM_ADDR | START_ADDR | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance
  address | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 579 of file gr55xx_ll_efuse.h.

## ◆ ll_efuse_set_trim_length()

__STATIC_INLINE void ll_efuse_set_trim_length | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | length
| ) |  |

Set read trim length.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TRIM_LEN | LENGTH | +———————-+———————————–+ \endrst

Parameters

  EFUSEx | eFuse instance
  length | This parameter can be one of the following values: 1 ~ 14

Return values

  None |

Definition at line 618 of file gr55xx_ll_efuse.h.